/*
 * Copyright (c) 2001-2010, JavaPLT group at Rice University (drjava@rice.edu)
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the names of DrJava, the JavaPLT group, Rice University, nor the
 *      names of its contributors may be used to endorse or promote products
 *      derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software is Open Source Initiative approved Open Source Software.
 * Open Source Initative Approved is a trademark of the Open Source Initiative.
 * 
 * This file is part of DrJava.  Download the current version of this project
 * from http://www.drjava.org/ or http://sourceforge.net/projects/drjava/
 */

package org.jkiss.utils;

/**
 * Standard Java constants
 */
public abstract class StandardConstants {

    public static final String ENV_LINE_SEPARATOR = "line.separator";
    public static final String ENV_PATH_SEPARATOR = "path.separator";

    public static final String ENV_TMP_DIR = "java.io.tmpdir";
    public static final String ENV_FILE_ENCODING = "file.encoding";
    public static final String ENV_CONSOLE_ENCODING = "console.encoding";

    public static final String ENV_USER_HOME = "user.home";
    public static final String ENV_USER_NAME = "user.name";
    public static final String ENV_USER_TIMEZONE = "user.timezone";
    public static final String ENV_OS_NAME = "os.name";
    public static final String ENV_OS_VERSION = "os.version";
    public static final String ENV_OS_ARCH = "os.arch";

    public static final String ENV_JAVA_VERSION = "java.version";
    public static final String ENV_JAVA_VENDOR = "java.vendor";
    public static final String ENV_JAVA_ARCH = "sun.arch.data.model";
    public static final String ENV_JAVA_CLASSPATH = "java.class.path";

    public static final int MIN_PORT_VALUE = 0;
    public static final int MAX_PORT_VALUE = 65535;
}
